package main

/*
	This is reference code for toolkit developers

	The 'nocui' is a bare minimum toolkit. It's all you need
	to interact with the GUI
*/

import (
	"go.wit.com/log"
	"go.wit.com/toolkits/tree"
)

func init() {
	log.Log(INFO, "Init()")

	me.myTree = tree.New()
	me.myTree.PluginName = "nocui"
	me.myTree.ActionFromChannel = doAction

	go simpleStdin()
	log.Log(INFO, "Init() END")
}
